aboutsummaryrefslogtreecommitdiffstats
path: root/main/haserl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-01-10 10:28:10 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-01-10 10:28:10 +0000
commit4703bb89a30ec2e40c740509a3f827c0a961715c (patch)
tree0f2ae2d524fc9da21c14b1c6ef453c855fc1a614 /main/haserl/APKBUILD
parentd511fa45fd11037d868a358876cb3c918143b958 (diff)
downloadaports-4703bb89a30ec2e40c740509a3f827c0a961715c.tar.gz
aports-4703bb89a30ec2e40c740509a3f827c0a961715c.tar.bz2
aports-4703bb89a30ec2e40c740509a3f827c0a961715c.tar.xz
main/haserl: fix for x86_64
Force rebuild of haserl_lualib.inc fixes #513
Diffstat (limited to 'main/haserl/APKBUILD')
-rw-r--r--main/haserl/APKBUILD29
1 files changed, 21 insertions, 8 deletions
diff --git a/main/haserl/APKBUILD b/main/haserl/APKBUILD
index 23e97a2767..a4b4ec530f 100644
--- a/main/haserl/APKBUILD
+++ b/main/haserl/APKBUILD
@@ -1,27 +1,40 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=haserl
pkgver=0.9.27
-pkgrel=0
+pkgrel=1
pkgdesc="Html And Shell Embedded Report Language"
url="http://haserl.sourceforge.net/"
arch="x86 x86_64"
license="GPL-2"
depends=
-makedepends="lua-dev"
-source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+makedepends="lua-dev automake autoconf"
subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ lua2c.patch
+ "
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$_builddir"
+ patch -p0 -i "$srcdir"/lua2c.patch || return 1
+ sed -i -e 's/^ /\t/' src/Makefile.am || return 1
+ rm -f src/haserl_lualib.inc
+
+ aclocal && autoconf && automake --add-missing || return 1
+}
build() {
- cd "$srcdir/$pkgname-$pkgver"
- sed -i -e 's/^ /\t/' src/Makefile.in || return 1
- ./configure --prefix=/usr --with-lua || return 1
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --with-lua || return 1
make || return 1
}
package() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$_builddir"
make DESTDIR="$pkgdir/" install
chmod 4111 "$pkgdir"/usr/bin/haserl
}
-md5sums="1f692db8939858338a44e25d0190aa9e haserl-0.9.27.tar.gz"
+md5sums="1f692db8939858338a44e25d0190aa9e haserl-0.9.27.tar.gz
+00a612705c8a75e0d991749bf9f11e24 lua2c.patch"